import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Superclass for fly and frog.
 *
 * @author J Woodard
 * @version 1.0
 */
public class Animal extends Actor
{
    /**
     * Act - do whatever the Animal wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act()
    {
        // Add your action code here.
    }
    
    
    /**
     * Return true if we can see an object of class 'clss' right where we are.
     * False if there is no such object here.
     */
    public boolean canSee(Class clss)
    {
        Actor actor = getOneObjectAtOffset(0, 0, clss);
        return actor != null;
    }


     /**
      * Try to eat an object of class 'clss'. This is only successful if there
      * is such an object where we currently are. Otherwise this method does
      * nothing.
      */
     public void eat(Class clss)
     {
         Actor actor = getOneObjectAtOffset(0, 0, clss);
         if(actor != null) {
              getWorld().removeObject(actor);
         }
     }

}
