import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Bee simply move to edge of the world and turn .
 * 
 * @author: J Woodard 
 * @version: 1.0
 */
public class Bee extends Animal
{
    /**
     * Act - do whatever the Bee wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if (atWorldEdge())
        {
            turn(13);
        }
        move(3);
    } 
    
    /**
     * Test if actor is at the edge of the world, if so, then turn
     */
    public boolean atWorldEdge()
    {
        World w = getWorld();
        if ( getX() < 20 || getX() > w.getWidth() - 20 )
        {
            return true;
        }
        if ( getY() < 20 || getY() > w.getHeight() - 20 )
        {
            return true;
        }
        else
        {
            return false;
        }
    }
}
