import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * flys move throughout the world randomly.
 * 
 * @author J Woodard 
 * @version 1.0
 */
public class FlyWorld extends World
{
    private int[] points = { 50, 100, 150, 200 };
    private int[] points2 = { 125, 275, 325, 475 };

    /**
     * Constructor for objects of class FlyWorld.
     * 
     */
    public FlyWorld()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 600, 1);
        prepare();
       
    }
    
    /**
     * Automatically populate the world with actors 
     */
    public void prepare()
    {
        
        addObject(new Frog(), 60, 390);
        for (int i = 0; i < 3; i++)
        {
            Bee bee = new Bee();
            addObject( bee, points[i], points2[i] );
            addObject(new Fly(), Greenfoot.getRandomNumber(100)+54, Greenfoot.getRandomNumber(100)+54);
        }
    }
}
